Skip to main content
PUT
/
v1
/
entities
/
{entityTypeName}
/
{entityId}
/
access_grants
Add Entity Access Grants
curl --request PUT \
  --url https://api.us.lexful.app/v1/entities/{entityTypeName}/{entityId}/access_grants \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Account-ID: <api-key>' \
  --data '
[
  {
    "id": "019983a9-c4c0-73af-aec9-463feeadc2e7",
    "subject_type": "user"
  },
  {
    "id": "019983a9-c4c1-7abc-def0-123456789abc",
    "subject_type": "group"
  }
]
'
{
  "status": 123,
  "message": "<string>",
  "error_id": "<string>",
  "error_code": "<string>",
  "developer_message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token

X-Account-ID
string
header
required

Account ID

Path Parameters

entityTypeName
string
required

Entity type name

entityId
string<uuid>
required

Entity ID

Body

application/json

Array of users or groups to grant or revoke access (max 100)

Required array length: 1 - 100 elements
id
string<uuid>
required

User or group ID

subject_type
enum<string>
required

Type of subject (user or group)

Available options:
user,
group

Response

Allowed IP deleted successfully